Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033349
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] Z. Othersminoralways2016-06-23 12:092016-06-27 10:20
ReportermaiteView Statuspublic 
Assigned Tomarkmm82 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q2.1
StatusclosedFix in branchFixed in SCM revisionb4cf4292ad3f
ProjectionnoneETAnoneTarget Version3.0PR16Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033349: Error when trying to Void a NOT PAID invoice, logged with * organization

DescriptionFollowing error is raised: org.hibernate.StaleStateException: Batch update returned unexpected row count from update [0]; actual row count: 0; expected: 1
Steps To Reproduce1. Log into the system and set * as default organization in login
2. Create new Sales Invoice for Alimentos y Supermercados business partner. Add any line and Complete
3. Void invoice and following error will be raised:
org.hibernate.StaleStateException: Batch update returned unexpected row count from update [0]; actual row count: 0; expected: 1

NOTE: if you change default organization to another one then invoice is properly voided
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0033339 closedmarkmm82 Error when trying to Void a NOT PAID invoice, logged with * organization 

-  Notes
(0087944)
hgbot (developer)
2016-06-27 10:19

Repository: erp/backports/3.0PR16Q2.1
Changeset: b4cf4292ad3f62eb8a1e02a0e0110bf3bec097fa
Author: Mark <markmm82 <at> gmail.com>
Date: Fri Jun 24 09:39:53 2016 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR16Q2.1/rev/b4cf4292ad3f62eb8a1e02a0e0110bf3bec097fa [^]

Fixes issue 33349: Allow to Void a NOT PAID invoice, logged as * organization

Was avoid the Error when trying to Void a NOT PAID invoice, logged with * organization. The payment detail takes the organization from the payment schedule details organization.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ProcessInvoice.java
---
(0087946)
aferraz (developer)
2016-06-27 10:20

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-06-24 10:32 aferraz Type defect => backport
2016-06-24 10:32 aferraz Target Version => 3.0PR16Q2.1
2016-06-27 10:19 hgbot Checkin
2016-06-27 10:19 hgbot Note Added: 0087944
2016-06-27 10:19 hgbot Status scheduled => resolved
2016-06-27 10:19 hgbot Resolution open => fixed
2016-06-27 10:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q2.1/rev/b4cf4292ad3f62eb8a1e02a0e0110bf3bec097fa [^]
2016-06-27 10:20 aferraz Review Assigned To => aferraz
2016-06-27 10:20 aferraz Note Added: 0087946
2016-06-27 10:20 aferraz Status resolved => closed
2016-06-27 10:20 aferraz Fixed in Version => 3.0PR16Q2.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker